{
  "name": "@cortical/loader",
  "version": "0.0.11",
  "description": "An extension for DataLoader implementation on CortexQL",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/ezsper.com/cortical/dataloader"
  },
  "author": "Ezequiel S. Pereira <ezequiel@ezsper.com> (https://ezsper.com/)",
  "license": "MIT",
  "main": "./index.ts",
  "scripts": {
    "release": "node -r ts-node/register scripts/release",
    "test": "jest",
    "test:coverage": "jest --coverage",
    "lint": "tslint -t verbose --project .",
    "precommit": "lint-staged"
  },
  "engines": {
    "node": ">=6"
  },
  "lint-staged": {
    "*.{ts,tsx}": [
      "prettier-tslint --write",
      "git add"
    ]
  },
  "jest": {
    "transform": {
      "^.+\\.tsx?$": "ts-jest"
    },
    "modulePathIgnorePatterns": [
      "<rootDir>[/\\\\](dist|node_modules|scripts)[/\\\\]"
    ],
    "testRegex": "(/__tests__/.*|(\\.|/)(test|spec))\\.(jsx?|tsx?)$",
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js",
      "jsx",
      "json",
      "node"
    ]
  },
  "dependencies": {
    "dataloader": "^1.4.0",
    "@types/graphql": "^0.12.4"
  },
  "peerDependencies": {
    "graphql": ">=0.13.1",
    "@cortexql/core": ">=0.0.53",
    "typescript": ">=2.8.1"
  },
  "devDependencies": {
    "graphql": "^0.13.1",
    "@cortexql/core": "^0.0.53",
    "@types/node": "^9.4.6",
    "ts-node": "^4.1.0",
    "typescript": "^2.8.1",
    "jest": "^22.4.2",
    "ts-jest": "^22.4.1",
    "tslint": "^5.9.1",
    "prettier-tslint": "^0.3.0",
    "tslint-config-prettier": "^1.9.0",
    "tslint-config-airbnb": "^5.7.0",
    "lint-staged": "^7.0.0"
  },
  "directories": {
    "test": "tests"
  },
  "keywords": [
    "cortical",
    "dataloader",
    "graphql",
    "graph"
  ]
}
